stages:  # List of stages for jobs, and their order of execution
  - test

unit-test-seasonal:  # This job runs in the test stage.
  stage: test 
  script:
    - echo "Loading modules..."
    - module load R/4.1.2-foss-2015a-bare
    - module load CDO/1.9.8-foss-2015a
    - module load GEOS/3.7.2-foss-2015a-Python-3.7.3
    - module load GDAL/2.2.1-foss-2015a
    - module load PROJ/4.8.0-foss-2015a
    - module list
    - echo "Running seasonal unit tests..."
    - Rscript ./tests/test_seasonal.R

unit-test-decadal:  # This job runs in the test stage.
  stage: test
  script:
    - echo "Loading modules..."
    - module load R/4.1.2-foss-2015a-bare
    - module load CDO/1.9.8-foss-2015a
    - module load GEOS/3.7.2-foss-2015a-Python-3.7.3
    - module load GDAL/2.2.1-foss-2015a
    - module load PROJ/4.8.0-foss-2015a
    - module list
    - echo "Running decadal unit tests..."
    - Rscript ./tests/test_decadal.R

unit-test-subseasonal:  # This job runs in the test stage.
  stage: test
  script:
    - echo "Loading modules..."
    - module load R/4.1.2-foss-2015a-bare
    - module load CDO/1.9.8-foss-2015a
    - module load GEOS/3.7.2-foss-2015a-Python-3.7.3
    - module load GDAL/2.2.1-foss-2015a
    - module load PROJ/4.8.0-foss-2015a
    - module list
    - echo "Running subseasonal unit tests..."
    - Rscript ./tests/test_subseasonal.R

